var mesh = SYS.currentMesh();

if(mesh.invalid())
{
	var dlg = jsMessageBox();
	dlg.text = "Please select MeshNode.";
	dlg.exec();
	return;
}

	var center = Vector3(0,0,0);
	var count = 0;

	for(var i = 0; i < mesh.vertexCount(); ++i){
		
		var vert = mesh.vertexAt(i);
		if(vert.invalid())
			continue;
		if(!vert.selected())
			continue;

		center = center.add(vert.position());
		count++;
	}

	if(count == 0){
		var dlg = jsMessageBox();
		dlg.text = "Vertex Selection not found.";
		dlg.exec();
	}else{
		
		center.div(count);
		
		for(var i = 0; i < mesh.vertexCount(); ++i){
			
			var vert = mesh.vertexAt(i);
			if(vert.invalid())
				continue;
			if(!vert.selected())
				continue;
				
			vert.setPosition(center);
		}
	}

